<?xml version="1.0" encoding="UTF-8"?>
<robot generator="Robot 6.0.1 (Python 3.11.0 on win32)" generated="20221129 17:01:05.580" rpa="false" schemaversion="3">
<suite id="s1" name="Post" source="C:\Teste-API\testes\post.robot">
<test id="s1-t1" name="Deve fazer post" line="6">
<kw name="Create Dictionary" library="BuiltIn">
<var>&amp;{post}</var>
<arg>name=fabio</arg>
<arg>job=qa</arg>
<doc>Creates and returns a dictionary based on the given ``items``.</doc>
<msg timestamp="20221129 17:01:05.693" level="INFO">&amp;{post} = { name=fabio | job=qa }</msg>
<status status="PASS" starttime="20221129 17:01:05.693" endtime="20221129 17:01:05.693"/>
</kw>
<kw name="POST" library="RequestsLibrary">
<var>${response}</var>
<arg>https://reqres.in/api/users</arg>
<arg>json=${post}</arg>
<doc>Sends a POST request.</doc>
<msg timestamp="20221129 17:02:09.569" level="INFO">POST Request : url=https://reqres.in/api/users 
 path_url=/api/users 
 headers={'User-Agent': 'python-requests/2.28.1', 'Accept-Encoding': 'gzip, deflate', 'Accept': '*/*', 'Connection': 'keep-alive', 'Content-Length': '30', 'Content-Type': 'application/json'} 
 body=b'{"name": "fabio", "job": "qa"}' 
 </msg>
<msg timestamp="20221129 17:02:09.569" level="INFO">POST Response : url=https://reqres.in/api/users 
 status=201, reason=Created 
 headers={'Date': 'Tue, 29 Nov 2022 20:02:02 GMT', 'Content-Type': 'application/json; charset=utf-8', 'Content-Length': '77', 'Connection': 'keep-alive', 'X-Powered-By': 'Express', 'Access-Control-Allow-Origin': '*', 'Etag': 'W/"4d-J3QzHBcQZU8COpxgf1l8ma4m4Bc"', 'Via': '1.1 vegur', 'CF-Cache-Status': 'DYNAMIC', 'Report-To': '{"endpoints":[{"url":"https:\\/\\/a.nel.cloudflare.com\\/report\\/v3?s=OMTed7tLz2GSDzShgBxEUd2FDpYRAghruI0qVCv4eQIWQ2owYPWU%2B%2BfNHYAMFh3wbMmeRqFFiSBLbSZ88dUjUdGWjQFdQBCEO7UU7hqFm9WDQ0UnRJpuK1kQ8Q%3D%3D"}],"group":"cf-nel","max_age":604800}', 'NEL': '{"success_fraction":0,"report_to":"cf-nel","max_age":604800}', 'Server': 'cloudflare', 'CF-RAY': '771df04e5cc96dbb-MIA'} 
 body={"name":"fabio","job":"qa","id":"661","createdAt":"2022-11-29T20:02:02.794Z"} 
 </msg>
<msg timestamp="20221129 17:02:09.569" level="INFO">${response} = &lt;Response [201]&gt;</msg>
<status status="PASS" starttime="20221129 17:01:05.693" endtime="20221129 17:02:09.569"/>
</kw>
<kw name="Log To Console" library="BuiltIn">
<arg>${response.json()}</arg>
<doc>Logs the given message to the console.</doc>
<status status="PASS" starttime="20221129 17:02:09.572" endtime="20221129 17:02:09.578"/>
</kw>
<kw name="Log To Console" library="BuiltIn">
<arg>${response}</arg>
<doc>Logs the given message to the console.</doc>
<status status="PASS" starttime="20221129 17:02:09.579" endtime="20221129 17:02:09.580"/>
</kw>
<kw name="Status Should Be" library="RequestsLibrary">
<arg>201</arg>
<doc>Fails if response status code is different than the expected.</doc>
<status status="PASS" starttime="20221129 17:02:09.581" endtime="20221129 17:02:09.581"/>
</kw>
<status status="PASS" starttime="20221129 17:01:05.692" endtime="20221129 17:02:09.582"/>
</test>
<status status="PASS" starttime="20221129 17:01:05.581" endtime="20221129 17:02:09.584"/>
</suite>
<statistics>
<total>
<stat pass="1" fail="0" skip="0">All Tests</stat>
</total>
<tag>
</tag>
<suite>
<stat pass="1" fail="0" skip="0" id="s1" name="Post">Post</stat>
</suite>
</statistics>
<errors>
</errors>
</robot>
